Skip to main content
PATCH
/
consumers
/
{consumer_id}
/
accounting
/
clients
/
{client_id}
Update client
curl --request PATCH \
  --url https://api.chift.eu/consumers/{consumer_id}/accounting/clients/{client_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "external_reference": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "name": "<string>",
  "function": "<string>",
  "is_company": true,
  "company_id": "<string>",
  "phone": "<string>",
  "mobile": "<string>",
  "email": "<string>",
  "language": "<string>",
  "internal_notes": "<string>",
  "website": "<string>",
  "vat": "<string>",
  "company_number": "<string>",
  "iban": "<string>",
  "bank_account": "<string>",
  "currency": "<string>",
  "active": true,
  "addresses": []
}
'
import requests

url = "https://api.chift.eu/consumers/{consumer_id}/accounting/clients/{client_id}"

payload = {
"external_reference": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"name": "<string>",
"function": "<string>",
"is_company": True,
"company_id": "<string>",
"phone": "<string>",
"mobile": "<string>",
"email": "<string>",
"language": "<string>",
"internal_notes": "<string>",
"website": "<string>",
"vat": "<string>",
"company_number": "<string>",
"iban": "<string>",
"bank_account": "<string>",
"currency": "<string>",
"active": True,
"addresses": []
}
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
external_reference: '<string>',
first_name: '<string>',
last_name: '<string>',
name: '<string>',
function: '<string>',
is_company: true,
company_id: '<string>',
phone: '<string>',
mobile: '<string>',
email: '<string>',
language: '<string>',
internal_notes: '<string>',
website: '<string>',
vat: '<string>',
company_number: '<string>',
iban: '<string>',
bank_account: '<string>',
currency: '<string>',
active: true,
addresses: []
})
};

fetch('https://api.chift.eu/consumers/{consumer_id}/accounting/clients/{client_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "external_reference": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "name": "<string>",
  "function": "<string>",
  "is_company": true,
  "company_id": "<string>",
  "phone": "<string>",
  "mobile": "<string>",
  "email": "<string>",
  "language": "<string>",
  "internal_notes": "<string>",
  "website": "<string>",
  "vat": "<string>",
  "company_number": "<string>",
  "iban": "<string>",
  "bank_account": "<string>",
  "currency": "<string>",
  "active": true,
  "account_number": "<string>",
  "id": "<string>",
  "last_updated_on": "2023-11-07T05:31:56Z",
  "addresses": [],
  "third_party_account": "<string>",
  "bank_accounts": [
    {
      "is_primary": true,
      "currency": "<string>",
      "iban": "<string>",
      "bic_swift": "<string>",
      "account_number": "<string>",
      "routing_code": {
        "type": "unknown",
        "value": "<string>"
      }
    }
  ]
}

Path Parameters

consumer_id
string<uuid>
required
client_id
string
required

Query Parameters

folder_id
string | null

Id of the accounting folder instance. A folder represents a legal entity within the system. Required when the multiple folders feature is enabled.

Body

application/json
external_reference
string | null

External identifier used to link the client in the accounting system with the corresponding client reference in your own system.

first_name
string | null

Only used when the client is an individual (is_company=false). Indicates the first name of the client.

last_name
string | null

Only used when the client is an individual (is_company=false). Indicates the last name of the client.

name
string | null

Full name or legal name of the client (individual or company). This is the name that will be displayed in the accounting software.

function
string | null

Only used when the client is an individual (is_company=false). Indicates the function of the client.

is_company
boolean | null
default:true

Indicates if the client is an individual or a company.

company_id
string | null

Only used when the client is an individual (is_company=false). Indicates the id of the company linked to the client.

phone
string | null

Phone number of the client.

mobile
string | null

Mobile phone number of the client.

email
string | null

Email address of the client.

language
string | null

Language of the client. Format: ISO 639-1 codes.

internal_notes
string | null

Internal notes about the client.

website
string | null

Website of the client.

vat
string | null

VAT number of the client, used for tax compliance and invoicing. This value is unique per company and can be used as a reliable identifier to match clients between systems.

company_number
string | null

National identification number of the company.

iban
string | null

IBAN account number of the client.

bank_account
string | null

Bank account number of the client.

currency
string | null

Indicates the currency of the client (e.g., EUR).

active
boolean | null
default:true

Indicates if the client is active.

addresses
AddressItemOut · object[] | null

List of addresses associated with the client.

Response

Successful Response

external_reference
string | null

External identifier used to link the client in the accounting system with the corresponding client reference in your own system.

first_name
string | null

Only used when the client is an individual (is_company=false). Indicates the first name of the client.

last_name
string | null

Only used when the client is an individual (is_company=false). Indicates the last name of the client.

name
string | null

Full name or legal name of the client (individual or company). This is the name displayed in the accounting software.

function
string | null

Only used when the client is an individual (is_company=false). Indicates the function of the client.

is_company
boolean | null
default:true

Indicates if the client is an individual or a company.

company_id
string | null

Only used when the client is an individual (is_company=false). Indicates the id of the company linked to the client.

phone
string | null

Phone number of the client.

mobile
string | null

Mobile phone number of the client.

email
string | null

Email address of the client.

language
string | null

Language of the client. Format: ISO 639-1 codes.

internal_notes
string | null

Internal notes about the client.

website
string | null

Website of the client.

vat
string | null

VAT number of the client.

company_number
string | null

National identification number of the company.

iban
string | null

IBAN account number of the client. DEPRECATED see bank_accounts

bank_account
string | null

Bank account number of the client. DEPRECATED see bank_accounts

currency
string | null

Indicates the currency of the client (e.g., EUR).

active
boolean | null
default:true

Indicates if the client is active.

account_number
string | null

Ledger account number assigned to the customer in the accounting system as it will appear in the official accounting export file (FEC, SIE, iXBRL, etc.).

id
string | null

Id of the client in the accounting software. This is the unique identifier used to reference the client in the system.

last_updated_on
string<date-time> | null

The last time the client has been updated.

addresses
AddressItemOut · object[] | null

List of addresses associated with the client.

third_party_account
string | null

Third party account number/code representing the client in the accounting software.

bank_accounts
BankAccountsItem · object[] | null

List of bank accounts information associated with the client.